package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(employee):
 */
public class Employee extends SysUser {

	/**  */
	private Integer userId;
	
	/**  */
	@ApiModelProperty(value = "机构编号列表，逗号分隔",required = false)
	private String organIdList;
	
	/** 工作性质（兼职、全职、临时） */
	@ApiModelProperty(value = "工作性质",required = false)
	private JobNatureEnum jobNature;
	
	/** 是否试用期(1-是 0-否) */
	@ApiModelProperty(value = "是否试用期",required = false)
	private YesOrNoEnum isProbationPeriod;
	
	/** 学历 */
	@ApiModelProperty(value = "学历",required = false)
	private String educationBackground;
	
	/** 毕业学校 */
	@ApiModelProperty(value = "毕业学校",required = false)
	private String graduateSchool;
	
	/** 技术职称 */
	@ApiModelProperty(value = "技术职称",required = false)
	private String technicalTitles;
	
	/** 入职时间 */
	@ApiModelProperty(value = "入职时间",required = false)
	private java.util.Date entryDate;
	
	/** 证件类型 */
	@ApiModelProperty(value = "证件类型",required = false)
	private String certificateType;
	
	/** 证件号码 */
	@ApiModelProperty(value = "证件号码",required = false)
	private String certificateNum;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;
	
	/** 介绍 */
	@ApiModelProperty(value = "介绍",required = false)
	private String introduction;
	
	/** 离职日期 */
	@ApiModelProperty(value = "离职日期",required = false)
	private java.util.Date demissionDate;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public String getOrganIdList() {
		return organIdList;
	}

	public void setOrganIdList(String organIdList) {
		this.organIdList = organIdList;
	}

	public void setEducationBackground(String educationBackground){
		this.educationBackground = educationBackground;
	}
	
	public String getEducationBackground(){
		return this.educationBackground;
	}
			
	public void setGraduateSchool(String graduateSchool){
		this.graduateSchool = graduateSchool;
	}
	
	public String getGraduateSchool(){
		return this.graduateSchool;
	}
			
	public void setTechnicalTitles(String technicalTitles){
		this.technicalTitles = technicalTitles;
	}
	
	public String getTechnicalTitles(){
		return this.technicalTitles;
	}
			
	public void setEntryDate(java.util.Date entryDate){
		this.entryDate = entryDate;
	}
	
	public java.util.Date getEntryDate(){
		return this.entryDate;
	}
			
	public void setCertificateType(String certificateType){
		this.certificateType = certificateType;
	}
	
	public String getCertificateType(){
		return this.certificateType;
	}
			
	public void setCertificateNum(String certificateNum){
		this.certificateNum = certificateNum;
	}
	
	public String getCertificateNum(){
		return this.certificateNum;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setIntroduction(String introduction){
		this.introduction = introduction;
	}
	
	public String getIntroduction(){
		return this.introduction;
	}
			
	public void setDemissionDate(java.util.Date demissionDate){
		this.demissionDate = demissionDate;
	}
	
	public java.util.Date getDemissionDate(){
		return this.demissionDate;
	}

	public JobNatureEnum getJobNature() {
		return jobNature;
	}

	public void setJobNature(JobNatureEnum jobNature) {
		this.jobNature = jobNature;
	}

	public YesOrNoEnum getIsProbationPeriod() {
		return isProbationPeriod;
	}

	public void setIsProbationPeriod(YesOrNoEnum isProbationPeriod) {
		this.isProbationPeriod = isProbationPeriod;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
